From b19f8d83cd04132706869c0d99140a1eb62ed4a5 Mon Sep 17 00:00:00 2001
From: Ashutosh Bapat <ashutosh.bapat@enterprisedb.com>
Date: Thu, 7 Dec 2023 11:38:07 +0530
Subject: [PATCH 08/14] TODO: Assess whether the TODO needs to be addressed.

The commit adds a TODO in MergeAttributes() in code which should not be
reachable for a partitioned table. But the code seems to use
is_partition variable. Assess whether it's reachable and if reachable
fix it for indentity column in partitioned table.

Ashutosh Bapat
---
 src/backend/commands/tablecmds.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index b471cb4d6b..7b94d7f434 100644
--- a/src/backend/commands/tablecmds.c
+++ b/src/backend/commands/tablecmds.c
@@ -2826,6 +2826,8 @@ MergeAttributes(List *columns, const List *supers, char relpersistence,
 							 errmsg("inherited column \"%s\" has a generation conflict",
 									attributeName)));
 
+				/* TODO: We shouldn't enter this branch for a partition? */
+
 				/*
 				 * Default and other constraints are handled below
 				 */
-- 
2.25.1

